import { Tabs } from '@taroify/core';

import HomePage from '@/components/home-page';
import UserBatchPublish from '@/components/user-batch-publish';
import { logWithPrefix } from '@/utils/common';

import './index.less';

const PREFIX = 'page-biz-service';
const log = logWithPrefix(PREFIX);

export default function BizService() {
  return (
    <HomePage>
      <div className={PREFIX}>
        <Tabs className={`${PREFIX}__tabs`} defaultValue={1}>
          <Tabs.TabPane value={0} title="主播群"></Tabs.TabPane>
          <Tabs.TabPane value={1} title="群代发">
            <UserBatchPublish />
          </Tabs.TabPane>
          <Tabs.TabPane value={2} title="代招">
            <div className={`${PREFIX}__recruitment`}>
              <div className={`${PREFIX}__recruitment-card`}>
                <div className={`${PREFIX}__recruitment-h5`}>服务城市</div>
                <div className={`${PREFIX}__recruitment-body`}>江、沪、皖-上海、南京、合肥</div>
                <div className={`${PREFIX}__recruitment-body`}>粤、闽-广州、深圳、佛山、厦门、福州、泉州</div>
                <div className={`${PREFIX}__recruitment-body`}>京、鲁-北京、青岛</div>
                <div className={`${PREFIX}__recruitment-body`}>鄂、豫、湘、陕-长沙、武汉、郑州、西安</div>
                <div className={`${PREFIX}__recruitment-body`}>川、渝、云-成都、重庆、昆明</div>
                <div className={`${PREFIX}__recruitment-h5`}>服务方式及收费标准</div>
                <div className={`${PREFIX}__recruitment-body`}>服务方式：提供录屏和基本资料供挑选，挑中安排面试</div>
                <div className={`${PREFIX}__recruitment-body`}>收费标准：安排一场面试200元</div>
                <div className={`${PREFIX}__recruitment-body`}>收费方式：预付费，按安排面试场数扣费</div>
                <div className={`${PREFIX}__recruitment-h5`}>服务能力</div>
                <div className={`${PREFIX}__recruitment-body`}>
                  我们在每个城市均有数量众多的主播群，少则几十个，多则上千个，有各种类型和层次的带货主播资源
                </div>
              </div>
            </div>
          </Tabs.TabPane>
        </Tabs>
      </div>
    </HomePage>
  );
}
